weka.core

## Class ListOptions

- java.lang.Object
- - weka.core.ListOptions

- All Implemented Interfaces:
    CommandlineRunnable, OptionHandler, RevisionHandler

      public class ListOptions
      extends java.lang.Object
      implements OptionHandler, RevisionHandler, CommandlineRunnable

  Lists the options of an OptionHandler
  Version:
    $Revision: 12950 $
  Author:
    fracpete (fracpete at waikato dot ac dot nz)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListOptions()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `generate()` generates the options string.
    `java.lang.String` | `generateHelp()` generates a string to print as help on the console
    `java.lang.String` | `getClassname()` returns the current classname
    `java.lang.String[]` | `getOptions()` Gets the current settings of this object.
    `java.lang.String` | `getRevision()` Returns the revision string.
    `java.util.Enumeration<Option>` | `listOptions()` Returns an enumeration describing the available options.
    `static void` | `main(java.lang.String[] options)` runs the javadoc producer with the given commandline options
    `void` | `postExecution()` Perform any teardown stuff that might need to happen after execution.
    `void` | `preExecution()` Perform any setup stuff that might need to happen before execution.
    `void` | `run(java.lang.Object toRun, java.lang.String[] options)` Execute the supplied object.
    `void` | `setClassname(java.lang.String value)` sets the classname of the class to generate the Javadoc for
    `void` | `setOptions(java.lang.String[] options)` Parses a given list of options.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ListOptions

          public ListOptions()

  - ### Method Detail

    - #### listOptions

          public java.util.Enumeration<Option> listOptions()

      Returns an enumeration describing the available options.
      Specified by:
        `listOptions` in interface `OptionHandler`
      Returns:
        an enumeration of all the available options.

    - #### setOptions

          public void setOptions(java.lang.String[] options)
                          throws java.lang.Exception

      Parses a given list of options.
      Specified by:
        `setOptions` in interface `OptionHandler`
      Parameters:
        `options` - the list of options as an array of strings
      Throws:
        `java.lang.Exception` - if an option is not supported

    - #### getOptions

          public java.lang.String[] getOptions()

      Gets the current settings of this object.
      Specified by:
        `getOptions` in interface `OptionHandler`
      Returns:
        an array of strings suitable for passing to setOptions

    - #### setClassname

          public void setClassname(java.lang.String value)

      sets the classname of the class to generate the Javadoc for
      Parameters:
        `value` - the new classname

    - #### getClassname

          public java.lang.String getClassname()

      returns the current classname
      Returns:
        the current classname

    - #### generateHelp

          public java.lang.String generateHelp()

      generates a string to print as help on the console
      Returns:
        the generated help

    - #### generate

          public java.lang.String generate()
                                    throws java.lang.Exception

      generates the options string.
      Returns:
        the options string
      Throws:
        `java.lang.Exception` - in case the generation fails

    - #### getRevision

          public java.lang.String getRevision()

      Returns the revision string.
      Specified by:
        `getRevision` in interface `RevisionHandler`
      Returns:
        the revision

    - #### main

          public static void main(java.lang.String[] options)

      runs the javadoc producer with the given commandline options
      Parameters:
        `options` - the commandline options

    - #### preExecution

          public void preExecution()
                            throws java.lang.Exception

      Description copied from interface: `CommandlineRunnable`
      Perform any setup stuff that might need to happen before execution.
      Specified by:
        `preExecution` in interface `CommandlineRunnable`
      Throws:
        `java.lang.Exception` - if a problem occurs during setup

    - #### run

          public void run(java.lang.Object toRun,
                          java.lang.String[] options)
                   throws java.lang.Exception

      Description copied from interface: `CommandlineRunnable`
      Execute the supplied object.
      Specified by:
        `run` in interface `CommandlineRunnable`
      Parameters:
        `toRun` - the object to execute
        `options` - any options to pass to the object
      Throws:
        `java.lang.Exception` - if a problem occurs.

    - #### postExecution

          public void postExecution()
                             throws java.lang.Exception

      Description copied from interface: `CommandlineRunnable`
      Perform any teardown stuff that might need to happen after execution.
      Specified by:
        `postExecution` in interface `CommandlineRunnable`
      Throws:
        `java.lang.Exception` - if a problem occurs during teardown